| Home | Libraries | People | FAQ | More

## Function template none_of_equal

boost::algorithm::none_of_equal

## Synopsis

    // In header: <boost/algorithm/cxx11/none_of.hpp>

    template<typename Range, typename V>
      bool none_of_equal(const Range & r, const V & val);

## Description

| Note
returns true on an empty range

Parameters:

`r` | The input range
`val` | A value to compare against

Returns: | true if none of the elements in the range are equal to 'val'